// simple vertex shader
attribute highp vec2 inVertex;
attribute lowp vec4 inColor;
uniform highp vec2 windowSize;

varying mediump vec2 texCoord;
varying lowp vec4 color;

void main()
{
	highp float x = inVertex.x * 2.0 / windowSize.x - 1.0;
	highp float y = -inVertex.y * 2.0 / windowSize.y + sign(windowSize.y);
	gl_Position    = vec4(x,y,0.0,1.0);
	color = inColor;
}
