// simple fragment shader

uniform sampler2D sTexture;
uniform sampler2D sAlphaTexture;
varying mediump vec2 texCoord;

void main()
{
	lowp vec4 colour = texture2D(sTexture, texCoord);
	colour.a = texture2D(sAlphaTexture, texCoord).a;
	gl_FragColor = colour;
}
