// simple fragment shader

uniform sampler2D sTexture;
varying mediump vec2 texCoord;
varying lowp vec4 multColor;
varying lowp vec4 colorOffset;

void main()
{
	lowp vec4 text = texture2D(sTexture, texCoord);
	gl_FragColor = clamp((text* multColor + colorOffset * text.a * multColor.a), 0.0, text.a * multColor.a);
}
