// simple fragment shader

uniform sampler2D sTexture;
varying mediump vec2 texCoord;
varying lowp vec4 colorOffset;

void main()
{
	lowp vec4 text = texture2D(sTexture, texCoord);
	gl_FragColor = clamp(text + colorOffset * text.a, 0.0, text.a);
}
